# sMSCtx Struct Reference

`#include <m_ms.h>`

## Data Fields

libmangle_gc_context_t * | gc
const char * | name
const char * | end
const char * | pos
int | err
int | fExplicitTemplateParams
int | fGetTemplateArgumentList
sCached * | pZNameList
sCached * | pTemplateArgList
sCached * | pArgList

## Field Documentation

const char* sMSCtx::end

Last character in the export name.

int sMSCtx::err

Error codes. Zero indicates success.

int sMSCtx::fExplicitTemplateParams

Indicates that explicit template parameters are used.

int sMSCtx::fGetTemplateArgumentList

Indicates that the template argument list should be used.

libmangle_gc_context_t* sMSCtx::gc

const char* sMSCtx::name

MSVC export name.

sCached* sMSCtx::pArgList

z-buffer if decoded arguments.

const char* sMSCtx::pos

Export name processing position marker.

sCached* sMSCtx::pTemplateArgList

z-buffer of decoded template arguments.

sCached* sMSCtx::pZNameList

z-buffer of decoded names.

The documentation for this struct was generated from the following file:

- src/m_ms.h